Listar facturas
get/v1/invoices
Request
BASH
curl https://api.cauril.com/v1/invoices \
-H "Authorization: Bearer sk_test_..."Parámetros
| statusquery | InvoiceStatus | |
| subscription_idquery | string | |
| limitquery | integer | 1–100 (default 20). |
| starting_afterquery | string | Cursor: el id del último elemento de la página anterior. |
Respuestas
| 200 | Lista paginada de facturas | InvoiceList |
| 401 | Error | Error |
Ejemplo de respuesta · 200
JSON
{
"object": "list",
"data": [
{
"object": "invoice",
"id": "inv_01J...",
"subscription_id": "sub_01J...",
"amount": 5000,
"currency": "USD",
"status": "draft",
"period_start": "2026-06-01T12:00:00Z",
"period_end": "2026-06-01T12:00:00Z",
"payment_id": null,
"attempt_count": 0,
"created_at": "2026-06-01T12:00:00Z"
}
],
"has_more": true,
"next_cursor": null
}